package core.process;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class ProcessManagement {
    private List<AtomProcess> processes;
    private Map<String,List<Process>> lastProcesses;
    public void setProcessesByJson(File file){
        //todo
    }
    public Process getAtomProcess(int index){
        return processes.get(index);
    }
    public Condition getCondition(String userType, List<Integer> index){
        Condition condition = new Condition(lastProcesses.get(userType));
        for(int i:index){
            condition.add(getAtomProcess(i));
        }
        return condition;
    }

}
